VME Intensity Monitor - Feature #11014
Milestone # 10477 (New): ANUB Startup
Feature # 9396 (Assigned): Beam Energy Loss Devices
BEL 1 hour and 5 min average and total devices
11/26/2015 11:18 AM - John Diamond

Status: Closed Start date: 11/26/2015
Priority: Normal Due date:

Assignee: John Diamond % Done: 100%
Category: Estimated time: 0.00 hour
Target version: Spent time: 10.00 hours
Description

See:

e |:BEL5SMA / R:BEL5SMA
e :BEL1HA / R:BEL1HA
e [:BEL1HT / R:BEL1HT

Also, I:BTOTRS / R:BTOTRS which reset the hourly totals.

History

#1 - 12/15/2015 01:06 PM - John Diamond
- Status changed from New to Assigned
- Assignee set to John Diamond

- % Done changed from 0 to 70

Implemented support for calculating the following in BELMachine:

BELTOT - Total beam energy loss since last reset

BEL5MA - Average BEL for each cycle over the last 5 minutes
BEL1HA - Average BEL for each cycle over the last 1 hour
BEL1HT - Total BEL over the last 1 hour

Need to implement accessors and create ACNET devices.

#2 - 12/15/2015 10:14 PM - John Diamond
- % Done changed from 70 to 90

Implemented the following accessors:

ACNET Device SSDN DevicelD
m:BELnn 0x0020
m:BELNnn 0x0022
m:BEL 0x0024
m:BMLOST 0x0025
m:BELN 0x0026
m:BELTOT 0x0027
m:BEL1HT 0x0028
m:BEL5SMA 0x0029
m:BEL1MA 0x002a

#3 - 12/16/2015 12:03 PM - John Diamond
- Status changed from Assigned to Closed

- % Done changed from 90 to 100
ACNET devices create, see: ACNET_Devices

10/29/2020 22


https://cdcvs.fnal.gov/redmine/projects/vmeint/wiki/ACNET_Devices#section-2
